<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.dao (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.dao (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/dao/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.dao</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AppAuthenticationDAO.html" title="interface in io.mosip.registration.dao">AppAuthenticationDAO</a></td>
<td class="colLast">
<div class="block">DAO class for AppAuthentication</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AppAuthenticationDetails.html" title="interface in io.mosip.registration.dao">AppAuthenticationDetails</a></td>
<td class="colLast">
<div class="block">Interface for RegistrationAppAuthentication</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AppAuthenticationDetails.AppAuthentication.html" title="interface in io.mosip.registration.dao">AppAuthenticationDetails.AppAuthentication</a></td>
<td class="colLast">
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AppRolePriorityDetails.html" title="interface in io.mosip.registration.dao">AppRolePriorityDetails</a></td>
<td class="colLast">
<div class="block">Interface for AppRolePriority</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AppRolePriorityDetails.AppRolePriority.html" title="interface in io.mosip.registration.dao">AppRolePriorityDetails.AppRolePriority</a></td>
<td class="colLast">
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AuditDAO.html" title="interface in io.mosip.registration.dao">AuditDAO</a></td>
<td class="colLast">
<div class="block">DAO class for Audit</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/AuditLogControlDAO.html" title="interface in io.mosip.registration.dao">AuditLogControlDAO</a></td>
<td class="colLast">
<div class="block">DAO interface for the <a href="../../../../io/mosip/registration/entity/AuditLogControl.html" title="class in io.mosip.registration.entity"><code>AuditLogControl</code></a> entity</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/DocumentCategoryDAO.html" title="interface in io.mosip.registration.dao">DocumentCategoryDAO</a></td>
<td class="colLast">
<div class="block">Handles the Document categories related functions</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/DocumentTypeDAO.html" title="interface in io.mosip.registration.dao">DocumentTypeDAO</a></td>
<td class="colLast">
<div class="block">Handles the Doc types related details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/GenderDAO.html" title="interface in io.mosip.registration.dao">GenderDAO</a></td>
<td class="colLast">
<div class="block">DAO class for Gender</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/GlobalParamDAO.html" title="interface in io.mosip.registration.dao">GlobalParamDAO</a></td>
<td class="colLast">
<div class="block">DAO class for GlobalParam</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/GlobalParamName.html" title="interface in io.mosip.registration.dao">GlobalParamName</a></td>
<td class="colLast">
<div class="block">Interface for GlobalParam to fetch only specified columns from table</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/LocationDAO.html" title="interface in io.mosip.registration.dao">LocationDAO</a></td>
<td class="colLast">
<div class="block">DAO class for Location</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/MachineMappingDAO.html" title="interface in io.mosip.registration.dao">MachineMappingDAO</a></td>
<td class="colLast">
<div class="block">This DAO interface updates the mapping of users and devices to the
 Registration Center Machine</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></td>
<td class="colLast">
<div class="block">The Interface MasterSyncDao.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/PolicySyncDAO.html" title="interface in io.mosip.registration.dao">PolicySyncDAO</a></td>
<td class="colLast">
<div class="block">DAO class for PolicySync</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/PreRegistrationDataSyncDAO.html" title="interface in io.mosip.registration.dao">PreRegistrationDataSyncDAO</a></td>
<td class="colLast">
<div class="block">pre registartion DAO</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/RegistrationCenterDAO.html" title="interface in io.mosip.registration.dao">RegistrationCenterDAO</a></td>
<td class="colLast">
<div class="block">DAO class for RegistrationCenter</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/RegistrationDAO.html" title="interface in io.mosip.registration.dao">RegistrationDAO</a></td>
<td class="colLast">
<div class="block">DAO class for Registration Repository.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/RegPacketStatusDAO.html" title="interface in io.mosip.registration.dao">RegPacketStatusDAO</a></td>
<td class="colLast">
<div class="block">DAO class for Repository</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDAO.html" title="interface in io.mosip.registration.dao">ScreenAuthorizationDAO</a></td>
<td class="colLast">
<div class="block">DAO class for RegistrationScreenAuthorization</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDetails.html" title="interface in io.mosip.registration.dao">ScreenAuthorizationDetails</a></td>
<td class="colLast">
<div class="block">Interface for RegistrationScreenAuthorization</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/ScreenAuthorizationDetails.ScreenAuthorization.html" title="interface in io.mosip.registration.dao">ScreenAuthorizationDetails.ScreenAuthorization</a></td>
<td class="colLast">
<div class="block">To fetch only selected columns from table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/SyncJobConfigDAO.html" title="interface in io.mosip.registration.dao">SyncJobConfigDAO</a></td>
<td class="colLast">
<div class="block">DAO class for batch job configuration</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.html" title="interface in io.mosip.registration.dao">SyncJobControlDAO</a></td>
<td class="colLast">
<div class="block">DAO class for SyncJobDAO.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/SyncTransactionDAO.html" title="interface in io.mosip.registration.dao">SyncTransactionDAO</a></td>
<td class="colLast">
<div class="block">To save and update batch process</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/TemplateDao.html" title="interface in io.mosip.registration.dao">TemplateDao</a></td>
<td class="colLast">
<div class="block">DAO class for Repository</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/UserDetailDAO.html" title="interface in io.mosip.registration.dao">UserDetailDAO</a></td>
<td class="colLast">
<div class="block">DAO class for UserDetail</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/UserOnboardDAO.html" title="interface in io.mosip.registration.dao">UserOnboardDAO</a></td>
<td class="colLast">
<div class="block">The Interface UserOnboardDAO.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/ValidDocumentDAO.html" title="interface in io.mosip.registration.dao">ValidDocumentDAO</a></td>
<td class="colLast">
<div class="block">Interface of ValidDocument</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html" title="class in io.mosip.registration.dao">SyncJobControlDAO.SyncJobInfo</a></td>
<td class="colLast">
<div class="block">The Class SyncJobInfo.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/context/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../io/mosip/registration/dao/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/dao/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
